Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicGraphicsUtils

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicGraphicsUtils

public class BasicGraphicsUtils
extends java.lang.Object

Constructor Summary
`BasicGraphicsUtils()`

Method Summary
`static void` | `drawBezel(java.awt.Graphics g, int x, int y, int w, int h, boolean isPressed, boolean isDefault, java.awt.Color shadow, java.awt.Color darkShadow, java.awt.Color highlight, java.awt.Color lightHighlight)`
`static void` | `drawDashedRect(java.awt.Graphics g, int x, int y, int width, int height)`
`static void` | `drawEtchedRect(java.awt.Graphics g, int x, int y, int w, int h, java.awt.Color shadow, java.awt.Color darkShadow, java.awt.Color highlight, java.awt.Color lightHighlight)`
`static void` | `drawGroove(java.awt.Graphics g, int x, int y, int w, int h, java.awt.Color shadow, java.awt.Color highlight)`
`static void` | `drawLoweredBezel(java.awt.Graphics g, int x, int y, int w, int h, java.awt.Color shadow, java.awt.Color darkShadow, java.awt.Color highlight, java.awt.Color lightHighlight)`
`static void` | `drawString(java.awt.Graphics g, java.lang.String text, int underlinedChar, int x, int y)` Draw a string with the graphics g at location (x,y) just like g.drawString() would.
`static java.awt.Insets` | `getEtchedInsets()` Returns the amount of space taken up by a border drawn by `drawEtchedRect()`
`static java.awt.Insets` | `getGrooveInsets()` Returns the amount of space taken up by a border drawn by `drawGroove()`
`static java.awt.Dimension` | `getPreferredButtonSize(AbstractButton b, int textIconGap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicGraphicsUtils

    public BasicGraphicsUtils()

Method Detail

### drawEtchedRect

    public static void drawEtchedRect(java.awt.Graphics g,
                                      int x,
                                      int y,
                                      int w,
                                      int h,
                                      java.awt.Color shadow,
                                      java.awt.Color darkShadow,
                                      java.awt.Color highlight,
                                      java.awt.Color lightHighlight)

### getEtchedInsets

    public static java.awt.Insets getEtchedInsets()

  Returns the amount of space taken up by a border drawn by `drawEtchedRect()`
  Returns:
    the inset of an etched rect

### drawGroove

    public static void drawGroove(java.awt.Graphics g,
                                  int x,
                                  int y,
                                  int w,
                                  int h,
                                  java.awt.Color shadow,
                                  java.awt.Color highlight)

### getGrooveInsets

    public static java.awt.Insets getGrooveInsets()

  Returns the amount of space taken up by a border drawn by `drawGroove()`
  Returns:
    the inset of a groove border

### drawBezel

    public static void drawBezel(java.awt.Graphics g,
                                 int x,
                                 int y,
                                 int w,
                                 int h,
                                 boolean isPressed,
                                 boolean isDefault,
                                 java.awt.Color shadow,
                                 java.awt.Color darkShadow,
                                 java.awt.Color highlight,
                                 java.awt.Color lightHighlight)

### drawLoweredBezel

    public static void drawLoweredBezel(java.awt.Graphics g,
                                        int x,
                                        int y,
                                        int w,
                                        int h,
                                        java.awt.Color shadow,
                                        java.awt.Color darkShadow,
                                        java.awt.Color highlight,
                                        java.awt.Color lightHighlight)

### drawString

    public static void drawString(java.awt.Graphics g,
                                  java.lang.String text,
                                  int underlinedChar,
                                  int x,
                                  int y)

  Draw a string with the graphics g at location (x,y) just like g.drawString() would. The first occurence of underlineChar in text will be underlined. The matching is not case sensitive.

### drawDashedRect

    public static void drawDashedRect(java.awt.Graphics g,
                                      int x,
                                      int y,
                                      int width,
                                      int height)

### getPreferredButtonSize

    public static java.awt.Dimension getPreferredButtonSize(AbstractButton b,
                                                            int textIconGap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.